org.apache.tomcat.util.bcel.classfile

## Class Synthetic

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.Attribute
  - - org.apache.tomcat.util.bcel.classfile.Synthetic

All Implemented Interfaces:
  Serializable, Cloneable

    public final class Synthetic
    extends Attribute

This class is derived from Attribute and declares this class as `synthetic', i.e., it needs special handling. The JVM specification states "A class member that does not appear in the source code must be marked using a Synthetic attribute." It may appear in the ClassFile attribute table, a field_info table or a method_info table. This class is intended to be instantiated from the Attribute.readAttribute() method.

Author:
  M. Dahm
See Also:
  `Attribute`, Serialized Form

### Field Summary

### Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute

`constant_pool, length, name_index, tag`

### Constructor Summary

Constructors
Constructor and Description
`Synthetic(int name_index, int length, byte[] bytes, ConstantPool constant_pool)`

### Method Summary

Methods
`Attribute` `copy(ConstantPool _constant_pool)`
`String` `toString()`

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute

`clone, getName, getTag, readAttribute`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Synthetic

    public Synthetic(int name_index,
             int length,
             byte[] bytes,
             ConstantPool constant_pool)

Parameters:
  `name_index` - Index in constant pool to CONSTANT_Utf8, which should represent the string "Synthetic".
  `length` - Content length in bytes - should be zero.
  `bytes` - Attribute contents
  `constant_pool` - The constant pool this attribute is associated with.

### Method Detail

#### toString

    public final String toString()

Overrides:
  `toString` in class `Attribute`
Returns:
  String representation.

#### copy

    public Attribute copy(ConstantPool _constant_pool)

Specified by:
  `copy` in class `Attribute`
Returns:
  deep copy of this attribute